For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inGet Paid
DocumentationAPI Reference
DocumentationAPI Reference
  • Introduction
    • Overview
  • API Reference
      • GETList products
      • POSTCreate product
      • GETGet product by ID
      • PUTUpdate product
      • DELDelete product
      • GETGet product by external ID
      • PUTUpdate product by external ID
      • DELDelete product by external ID
LogoLogo
Log inGet Paid
API Referenceproducts

Delete product

DELETE
https://api.agentpaid.io/api/v1/products/:productId
DELETE
/api/v1/products/:productId
1import { PaidClient } from "@paid-ai/paid-node";
2
3async function main() {
4 const client = new PaidClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.products.delete("productId");
8}
9main();
204No Content
1{}
Was this page helpful?
Previous

Get product by external ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

productIdstringRequired

Response

Success response